%define module_version 0.0.2
%define module_name JSON-Schema-Shorthand
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(Exporter/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(experimental.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.2
Release: alt1
Summary: Alternative, condensed format for JSON Schemas
Group: Development/Perl
License: perl
URL: https://github.com/yanick/perl-JSON-Schema-Shorthand

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
SYNOPSIS

        use JSON::Schema::Shorthand;
    
        my $schema = js_shorthand({
            object => { foo => 'number', bar => { type => 'string', required => 1 }         
        });
    
        # $schema is 
        # { 
        #   type => 'object',
        #   properties => {
        #       foo => { type => 'number' },

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc AUTHOR_PLEDGE README LICENSE Changes README.mkdn
%perl_vendor_privlib/J*

%changelog
* Wed Sep 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1
- regenerated from template by package builder

* Mon Sep 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1
- initial import by package builder

